File: changelog

package info (click to toggle)
spim 8.0+dfsg-6.1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 1,704 kB
  • ctags: 2,427
  • sloc: asm: 8,560; ansic: 8,436; yacc: 2,298; makefile: 1,114; lex: 706; sh: 219
file content (213 lines) | stat: -rw-r--r-- 6,792 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
spim (8.0+dfsg-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch for flex 2.6 compatibility. (Closes: #860011)
  * Urgency high for RC bug fix.

 -- Tim Retout <diocles@debian.org>  Thu, 20 Apr 2017 19:48:30 +0100

spim (8.0+dfsg-6) unstable; urgency=low

  * acknowledge NMU
  * add patch from YunQiang Su <wzssyqa@gmail.com> to make it compile on
    mips/mipsel (Closes: #726282, #599954)
  * debian/control: add myself to uploaders
  * debian/control: bump standard to 3.9.4 (no changes)
  * debian/control: use dh 9 for hardening flags
  * debian/control: move VCS-field to alioth
  * debian/control: add dependency on xfonts-75dpi, xfonts-100dpi
                    (Closes: #670949)
  * debian/copyright: remove reference to /usr/share/common-licenses/BSD
                      the license text is already listed

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 08 Nov 2013 18:43:23 +0100

spim (8.0+dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ../CPU/spim-utils.c:117:7: error: invalid use of void
    expression": add patch configure-multiarch from Ubuntu / Matthias Klose:
    - Fix configury with multiarch libc. LP: #756116.
    Additionally, add versioned build dependency on dpkg-dev.
    (Closes: #629693)

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Jan 2012 17:43:23 +0100

spim (8.0+dfsg-5) unstable; urgency=low

  * Remove nonsensical recommends (thanks Piotr Engelking)(closes: #578484)
  * Add description to "hyphens" patch
  * Add VCS-* headers

 -- Jean-Christophe Dubacq <jcdubacq1@free.fr>  Tue, 20 Apr 2010 12:39:51 +0200

spim (8.0+dfsg-4) unstable; urgency=low

  * Fix debian/watch
  * Add get-orig-source target

 -- Jean-Christophe Dubacq <jcdubacq1@free.fr>  Thu, 15 Apr 2010 15:55:41 +0200

spim (8.0+dfsg-3) unstable; urgency=low

  * Change orig mangling scheme
  * Small cleanups (lintian-clean)
  * Patch manpages for hyphens
  * Extend long description

 -- Jean-Christophe Dubacq <jcdubacq1@free.fr>  Tue, 13 Apr 2010 16:21:11 +0200

spim (8.0+dfsg-2) unstable; urgency=low

  * Integration of changes by Mackenzie Morgan <maco.m@ubuntu.com> 
  * Add .desktop and icons
  * Fresh upload to debian. Closes: #577087.

 -- Jean-Christophe Dubacq <jcdubacq1@free.fr>  Mon, 12 Apr 2010 07:57:01 +0200

spim (8.0+dfsg-1) unstable; urgency=low

  * New upstream release
    - New license (non-free to BSD)
    - Fixes bug with input reading
    - Clean up stack alignment
    - Fixes problems with new versions of flex
  * Remove cycle.ps from Documentation (no source available)
  * Now under a free license
  * Completely new packaging after removal from debian.
  * Changelog kept for historical reasons.

 -- Jean-Christophe Dubacq <jcdubacq1@free.fr>  Fri, 09 Apr 2010 13:46:43 +0200

spim (7.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release
  	- Fixes "hanging" when starting. (Closes: #369533)

 -- Margarita Manterola <marga@debian.org>  Tue, 26 Sep 2006 12:19:11 -0300

spim (7.2.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Package is orphaned (#354501); set maintainer to Debian QA Group.
  * Acknowledge NMU.  Closes: #326097, #346936, #349389.
  * Add a build dependency on bison.
  * Change priority to extra in accordance with the override file.
  * Install upstream changelog.
  * Switch to debhelper 5.
  * spim/Makefile: Allow optimization flags to be overridden.
  * debian/rules:
    - Add support for DEB_BUILD_OPTIONS=noopt.
    - Use dh_install rather than (buggy) upstream Makefiles.
  * debian/watch: Add.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Tue, 16 May 2006 19:33:57 -0500

spim (7.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346936)
  * Don't re-declare static variables as non-static; fixes FTBFS on gcc-4.0,
    patch from Andreas Jochens. (Closes: #326097)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 22 Jan 2006 19:11:29 +0100

spim (7.1-1) unstable; urgency=low

  * New upstream version (Closes: Bug#271608)
  * Added Build-Depends on flex and debhelper (>= 4)
  * Created debian/compat (V4)
  * Updated Standards-Version to 3.6.2
  * Fixed unquoted strings in spim.menu
  * Switched to dh_installman instead of dh_installmanpages

 -- Fernando Sanchez <fer@debian.org>  Sun,  3 Jul 2005 16:25:11 +0200

spim (6.5-1) unstable; urgency=low

  * New upstream release (Closes: Bug#178264)
  * Added libxaw7-dev instead of libxaw-dev to build-depends. It already
    depended on xutils so there is no need to add it (Closes: Bug#102515)

 -- Fernando Sanchez <fer@debian.org>  Fri, 24 Jan 2003 21:23:48 +0100

spim (6.4-2) unstable; urgency=low

  * Added libxaw-dev and xlibs-dev to build-depends (Closes: Bug#139062)

 -- Fernando Sanchez <fer@debian.org>  Tue, 19 Mar 2002 16:58:57 +0100

spim (6.4-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Fri, 8 Mar 2002 18:37:26 +0100

spim (6.3-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Wed, 24 Jan 2001 14:05:34 +0100

spim (6.2-3) unstable; urgency=low

  * Compiled with current Debian libraries to ensure correct operation
  * Changed Standards-Version to 3.0.1
  * Added menu entry for spim and xspim binaries
  * Renamed spim man page from spim.1x.gz to spim.1.gz

 -- Fernando Sanchez <fer@debian.org>  Sun, 19 Dec 1999 21:48:00 +0100

spim (6.2-2) unstable; urgency=low

  * Compiled with current potato libraries
  * Packaged following FHS documentation placement rules

 -- Fernando Sanchez <fer@debian.org>  Sun, 12 Sep 1999 16:05:08 +0200

spim (6.2-1) unstable; urgency=low

  * New maintainer: Fernando Sanchez <fer@debian.org>
  * New upstream source

 -- Fernando Sanchez <fer@debian.org>  Sat, 13 Feb 1999 19:15:51 +0100

spim (6.1-3) frozen non-free; urgency=low

  * Reuploading so that spim can make it out of orphaned.

 -- Jay Kominek <jkominek@debian.org>  Sun, 15 Mar 1998 15:37:43 -0500

spim (6.1-2) non-free; urgency=low

  * Included the Tests directory with the package.

 -- Jay Kominek <jkominek@debian.org>  Mon,  9 Mar 1998 17:19:51 -0500

spim (6.1-1) non-free; urgency=low

  * New upstream release.

 -- Jay Kominek <jkominek@xtn.net>  Fri, 20 Feb 1998 22:24:44 -0500

spim (6.0-3) non-free; urgency=low

  * Moved into non-free. (Fixes bug #14956)

 -- Jay Kominek <jkominek@xtn.net>  Thu, 20 Nov 1997 15:27:39 -0500

spim (6.0-2) unstable; urgency=low

  * Compiled for Libc6.

 -- Jay Kominek <jkominek@xtn.net>  Fri,  7 Nov 1997 23:46:19 -0500

spim (6.0-1) unstable; urgency=low

  * Initial Release.

 -- Jay Kominek <jkominek@xtn.net>  Wed, 3 Sep 1997 17:30:03 -0400